News

Create news

POST
/news.json

Create a news. The project is given in the payload.

Authorization

ApiKeyAuth
headerX-Redmine-API-Key<token>

Request Body

application/json
  1. body
project_id*|

Project ID or identifier

news*

News create payload

Response Body

Success without content. Redmine < 4.1 responds with 200 instead of 204.

curl -X POST 'https://redmine.example.com/news.json' \  -H 'Content-Type: application/json' \  -d '{  "project_id": 0,  "news": {    "title": "string",    "description": "string"  }}'
Empty